Package ru.bitel.bgbilling.modules.cerbercrypt.server.bean

# Class StatusEventManager

java.lang.Object
ru.bitel.bgbilling.modules.cerbercrypt.server.bean.StatusEventManager

    public class StatusEventManager
    extends java.lang.Object

Менеджер эвентов.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `StatusEventManager​(java.sql.Connection con, int mid)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `addEvent​(CardPacket cardPacket, StatusEvent event)` | Добавление события.
  `void` | `deleteEvent​(int cardPacketId, java.util.Calendar date)` |
  `java.util.List<StatusEvent>` | `getEvents​(int cardPacketID)` | Возвращает события картапакета
  `java.util.List<StatusEvent>` | `getEvents​(int cardPacketID, java.util.Calendar fromDate)` | Возвращает события после определенной даты
  `StatusEvent` | `getLastEventBefore​(int cardPacketID, java.util.Calendar date)` | Получение последнего события до определенной даты включительно.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StatusEventManager

    public StatusEventManager​(java.sql.Connection con, int mid)

- ## Method Details

  - ### getEvents

    public java.util.List<StatusEvent> getEvents​(int cardPacketID, java.util.Calendar fromDate) throws ru.bitel.bgbilling.common.BGException
    Возвращает события после определенной даты
    Parameters:
      `cardPacketID` - - для какого картапакета
      `fromDate` - - начало месяца
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getEvents

    public java.util.List<StatusEvent> getEvents​(int cardPacketID) throws ru.bitel.bgbilling.common.BGException
    Возвращает события картапакета
    Parameters:
      `cardPacketID` - - для какого картапакета
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getLastEventBefore

    public StatusEvent getLastEventBefore​(int cardPacketID, java.util.Calendar date) throws ru.bitel.bgbilling.common.BGException
    Получение последнего события до определенной даты включительно.
    Parameters:
      `cardPacketID` - ид картпакета
      `date` - дата нужная
    Returns:
      StatusEvent
    Throws:
      `ru.bitel.bgbilling.common.BGException` - ошибки БД

  - ### addEvent

    public void addEvent​(CardPacket cardPacket, StatusEvent event) throws ru.bitel.bgbilling.common.BGException
    Добавление события. Сразу обновляет и статус пакета, если актуально.
    Parameters:
      `event` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteEvent

    public void deleteEvent​(int cardPacketId, java.util.Calendar date) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`